Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components
Class ComponentsXmlHandler

    java.lang.Object
      net.sf.jasperreports.components.ComponentsXmlHandler

All Implemented Interfaces:
  ComponentXmlWriter, XmlDigesterConfigurer

    public class ComponentsXmlHandler

extends java.lang.Object
implements XmlDigesterConfigurer, ComponentXmlWriter

XML handler (digester + writer) for built-in component implementations.

Version:
  $Id: ComponentsXmlHandler.java 3936 2010-08-13 15:34:10Z shertage $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `ComponentsExtensionsRegistryFactory`

Constructor Summary
`ComponentsXmlHandler()`

Method Summary
`protected void` | `addBarbecueRules(org.apache.commons.digester.Digester digester)`
`protected void` | `addBarcode4jRules(org.apache.commons.digester.Digester digester)`
`protected void` | `addBaseBarcode4jRules(org.apache.commons.digester.Digester digester, java.lang.String barcodePattern, java.lang.Class barcodeComponentClass)`
`protected void` | `addExpressionRules(org.apache.commons.digester.Digester digester, java.lang.String expressionPattern, java.lang.Class factoryClass, java.lang.String setterMethod, boolean jrNamespace)`
`protected void` | `addListRules(org.apache.commons.digester.Digester digester)`
`protected void` | `addSpiderChartRules(org.apache.commons.digester.Digester digester)`
`protected void` | `addTableCellRules(org.apache.commons.digester.Digester digester, java.lang.String pattern, java.lang.String setNextMethod)`
`protected void` | `addTableGroupCellRules(org.apache.commons.digester.Digester digester, java.lang.String pattern, java.lang.String setNextMethod)`
`protected void` | `addTableRules(org.apache.commons.digester.Digester digester)`
`void` | `configureDigester(org.apache.commons.digester.Digester digester)` Configures an XML digester by adding the rules required to parse component XML fragments.
`protected void` | `writeBarbecue(BarbecueComponent barcode, ComponentKey componentKey, JRXmlWriter reportWriter)`
`protected void` | `writeGroupCells(java.util.List<GroupCell> cells, java.lang.String name, JRXmlWriter reportWriter)`
`protected void` | `writeList(ListComponent list, ComponentKey componentKey, JRXmlWriter reportWriter)`
`protected void` | `writeTable(TableComponent table, ComponentKey componentKey, JRXmlWriter reportWriter)`
`protected void` | `writeTableCell(Cell cell, java.lang.String name, JRXmlWriter reportWriter)`
`void` | `writeToXml(ComponentKey componentKey, Component component, JRXmlWriter reportWriter)` Outputs the XML representation of a component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentsXmlHandler

    public ComponentsXmlHandler()

Method Detail

### configureDigester

    public void configureDigester(org.apache.commons.digester.Digester digester)

  Description copied from interface: `XmlDigesterConfigurer`
  Configures an XML digester by adding the rules required to parse component XML fragments.

  Specified by:
    `configureDigester` in interface `XmlDigesterConfigurer`
  Parameters:
    `digester` - the digester to configure

### addListRules

    protected void addListRules(org.apache.commons.digester.Digester digester)

### addBarbecueRules

    protected void addBarbecueRules(org.apache.commons.digester.Digester digester)

### addBarcode4jRules

    protected void addBarcode4jRules(org.apache.commons.digester.Digester digester)

### addBaseBarcode4jRules

    protected void addBaseBarcode4jRules(org.apache.commons.digester.Digester digester,
                                         java.lang.String barcodePattern,
                                         java.lang.Class barcodeComponentClass)

### addTableRules

    protected void addTableRules(org.apache.commons.digester.Digester digester)

### addTableCellRules

    protected void addTableCellRules(org.apache.commons.digester.Digester digester,
                                     java.lang.String pattern,
                                     java.lang.String setNextMethod)

### addTableGroupCellRules

    protected void addTableGroupCellRules(org.apache.commons.digester.Digester digester,
                                          java.lang.String pattern,
                                          java.lang.String setNextMethod)

### addExpressionRules

    protected void addExpressionRules(org.apache.commons.digester.Digester digester,
                                      java.lang.String expressionPattern,
                                      java.lang.Class factoryClass,
                                      java.lang.String setterMethod,
                                      boolean jrNamespace)

### writeToXml

    public void writeToXml(ComponentKey componentKey,
                           Component component,
                           JRXmlWriter reportWriter)
                    throws java.io.IOException

  Description copied from interface: `ComponentXmlWriter`
  Outputs the XML representation of a component.

  Specified by:
    `writeToXml` in interface `ComponentXmlWriter`
  Parameters:
    `componentKey` - the component type key
    `component` - the component instance
    `reportWriter` - the report writer to which output is to be written
  Throws:
    `java.io.IOException` - exceptions produced while writing to the output stream
  See Also:
    `ComponentKey.getNamespacePrefix()`, `JRXmlWriter.getXmlWriteHelper()`

### writeList

    protected void writeList(ListComponent list,
                             ComponentKey componentKey,
                             JRXmlWriter reportWriter)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeBarbecue

    protected void writeBarbecue(BarbecueComponent barcode,
                                 ComponentKey componentKey,
                                 JRXmlWriter reportWriter)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTable

    protected void writeTable(TableComponent table,
                              ComponentKey componentKey,
                              JRXmlWriter reportWriter)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeGroupCells

    protected void writeGroupCells(java.util.List<GroupCell> cells,
                                   java.lang.String name,
                                   JRXmlWriter reportWriter)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTableCell

    protected void writeTableCell(Cell cell,
                                  java.lang.String name,
                                  JRXmlWriter reportWriter)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### addSpiderChartRules

    protected void addSpiderChartRules(org.apache.commons.digester.Digester digester)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com